未加星标

OpenSSL 证书消息越界读取漏洞(CVE-2016-6306)

字体大小 | |
[系统(linux) 所属分类 系统(linux) | 发布者 店小二04 | 时间 20160901 | 作者 红领巾 ] 0人收藏点击收藏

OpenSSL 证书消息越界读取漏洞(CVE-2016-6306)

发布日期:2016-09-22
更新日期:2016-09-25
受影响系统:
OpenSSL Project OpenSSL < 1.0.2i
OpenSSL Project OpenSSL < 1.0.1u

描述:

CVE(CAN) ID: CVE-2016-6306
OpenSSL是一种开放源码的SSL实现,用来实现网络通信的高强度加密,现在被广泛地用于各种网络应用程序中。
OpenSSL 1.0.2及1.0.1版本有时会缺少消息长度检查,导致读取分配缓冲区之外的2字节内容,存在拒绝服务攻击风险。受影响的消息为客户端证书,客户端证书请求及服务器证书。
<*来源:Shi Lei

链接:https://www.openssl.org/news/secadv/20160922.txt
*>
建议:
厂商补丁:
OpenSSL Project
---------------
OpenSSL Project已经为此发布了一个安全公告(20160922)以及相应补丁:
20160922:OpenSSL Security Advisory [22 Sep 2016]
链接:https://www.openssl.org/news/secadv/20160922.txt

更多OpenSSL相关内容可以查看以下的有用链接:

使用 OpenSSL 命令行构建 CA 及证书 http://www.linuxidc.com/Linux/2015-10/124682.htm

Ubuntu安装OpenSSL http://www.codesec.net/Linux/2015-10/124001.htm

通过OpenSSL提供FTP+SSL/TLS认证功能,并实现安全数据传输 http://www.codesec.net/Linux/2013-05/84986.htm

Linux下使用OpenSSL生成证书 http://www.codesec.net/Linux/2015-05/117034.htm

利用OpenSSL签署多域名证书 http://www.codesec.net/Linux/2014-10/108222.htm

在OpenSSL中添加自定义加密算法 http://www.codesec.net/Linux/2015-08/121749.htm

OpenSSL 的详细介绍:请点这里
OpenSSL 的下载地址:请点这里

本文地址:http://www.codesec.net/Linux/2016-09/135469.htm


OpenSSL 证书消息越界读取漏洞(CVE-2016-6306)

本文系统(linux)相关术语:linux系统 鸟哥的linux私房菜 linux命令大全 linux操作系统

分页:12
转载请注明
本文标题:OpenSSL 证书消息越界读取漏洞(CVE-2016-6306)
本站链接:http://www.codesec.net/view/483546.html
分享请点击:


1.凡CodeSecTeam转载的文章,均出自其它媒体或其他官网介绍,目的在于传递更多的信息,并不代表本站赞同其观点和其真实性负责;
2.转载的文章仅代表原创作者观点,与本站无关。其原创性以及文中陈述文字和内容未经本站证实,本站对该文以及其中全部或者部分内容、文字的真实性、完整性、及时性,不作出任何保证或承若;
3.如本站转载稿涉及版权等问题,请作者及时联系本站,我们会及时处理。
登录后可拥有收藏文章、关注作者等权限...
技术大类 技术大类 | 系统(linux) | 评论(0) | 阅读(18)